## node-policyfile 0.0.6+ds

=== Makefile ===
doc:
	dox --title "FlashPolicyFileServer" lib/* > doc/index.html

test:
	expresso -I lib $(TESTFLAGS) tests/*.test.js

.PHONY: test doc

## node-policyfile 0.0.5

=== debian/changelog ===
node-policyfile (0.0.5-3) unstable; urgency=low

  * debian/control:
    + Add B-D: nodejs. As required by Node.js module packaging policy.
    + Bump Standards: to 3.9.5. No changes needed.
    + Alioth-canonicalize Vcs-*: fields.
    + Move packaging Git to pkg-javascript namespace on Alioth. Fix Git repo
      name.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/copyright:
    + Use Expat instead of MIT as license keyword.
  * autopkgtest: Use Autopkgtest to test package integrity.
  * debian/patches:
    + Add header for 001_debian-policyfile-examples.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Aug 2014 15:26:58 +0200

node-policyfile (0.0.5-2) unstable; urgency=low

  * /debian/control:
    + Fix versioned dependency on nodejs.
  * Add patch: 001_debian-policyfile-examples.patch. Make example files
    work from their installation location.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 May 2013 23:02:04 +0200

node-policyfile (0.0.5-1) unstable; urgency=low

  * Initial release. (Closes: #707174).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 May 2013 00:18:38 +0200

=== debian/control ===
Source: node-policyfile
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 8.0.0),
 dh-buildinfo,
 nodejs,
Standards-Version: 3.9.5
Homepage: https://github.com/
XS-Testsuite: autopkgtest
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-policyfile.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-policyfile.git

Package: node-policyfile
Architecture: all
Depends:
 ${misc:Depends},
 nodejs (>= 0.6.19~dfsg1-3~),
Description: Flash Socket Policy File Server for Node.js
 A server to respond to Flash Socket Policy requests, both inline and through a
 dedicated server instance.
 .
 Use it to allow or disallow Flash Player sockets from accessing your site.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: require
Depends: node-policyfile

## node-policyfile 0.0.6+ds

=== debian/changelog ===
node-policyfile (0.0.6+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-policyfile: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 14:03:24 +0000

node-policyfile (0.0.6+ds-3) unstable; urgency=medium

  * Team upload
  * Replace Buffer() by Buffer.from()
  * Bump debhelper compatibility level to 13
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs

 -- Yadd <yadd@debian.org>  Tue, 16 Nov 2021 09:41:27 +0100

node-policyfile (0.0.6+ds-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto test & install
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Mar 2020 17:50:14 +0100

node-policyfile (0.0.6+ds-1) unstable; urgency=medium

  * Team upload
  [ Andreas Moog ]
  * Imported upstream release 0.0.6
    + Fixes autopkgtests (Closes: #872894)
  * debian/control:
    + Correct homepage field (Closes: #872903)
    + Use debhelper compat 11
    + Update to Standards-Version 4.1.4
    + Transition VCS-Uri to Salsa
    + Priority is optional
    + Add myself to Uploaders
  * debian/rules:
    + Remove unneeded get-orig-source target
  * debian/copyright:
    + Update copyright years
    + Use https uri
  * debian/install:
    + Upstream no longer has a separate lib directory

  [ Bastien Roucariès ]
  * Fix copyright
  * Use git dpm (follow upstream)
  * Fix examples (drop patches use sed)
  * Add json file
  * Move to section javascript
  * Repack due to FTBFS documentation (need not yet packaged node-dox)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 May 2018 21:46:27 +0200

=== debian/control ===
Source: node-policyfile
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Andreas Moog <andreas.moog@warperbbs.de>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-policyfile
Vcs-Git: https://salsa.debian.org/js-team/node-policyfile.git
Homepage: https://github.com/3rd-Eden/FlashPolicyFileServer
Rules-Requires-Root: no

Package: node-policyfile
Architecture: all
Depends:
 ${misc:Depends}
Multi-Arch: foreign
Description: Flash Socket Policy File Server for Node.js
 A server to respond to Flash Socket Policy requests, both inline and through a
 dedicated server instance.
 .
 Use it to allow or disallow Flash Player sockets from accessing your site.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installexamples:
	dh_installexamples
	# patch example
	find $(CURDIR)/debian/node-policyfile/usr/share/doc/node-policyfile/examples/ -name '*.js' -exec \
		sed -i "s,require\s*[(]\s*['\"][.][.][^'\"]*['\"]\s*[)],require('policyfile'),g" {} \;

=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-policyfile-$1/ \
https://github.com/3rd-Eden/FlashPolicyFileServer/tags .*/archive/.*/v?([\d\.]+).tar.gz
